//class NPCOMMONUI_API CNButton : public CAbstractButton

#pragma once

#include "NButton.h"
#include "ScriptletContainerFactory.h"
/**
 * \group NPCommonUI
 * \date 2007/08/26 16:15
 * \author hhd2002
 * \brief 
	{kr}
	{/kr}
 */
class NPCOMMONUI_API CNRadioGroup	: public IPropertyChangedListener
									, public IButtonStateChangeDelegate
									, public CNControl
{
public:
	DECLARE_RTTI;
	DECLARE_COMPONENT_CREATOR(CNRadioGroup);
	CNRadioGroup();
	virtual ~CNRadioGroup();

	//override
	//IPropertyChangedListener
	void OnPropertyChanged(CPropertyChangeEvent* pPropertyChangedEvent);
	//IButtonStateChangeDelegate
	BOOL IsChangingAvailable(CAbstractButton* pBtn);
	LPCTSTR GetClassName() { return SCRIPTLET_RADIOGROUP_NODE; }

	/**
	 * \brief {kr}  ׷쿡 ư ߰Ѵ. {/kr}
	 * \param pBtn 
	 */
	void AddButton(CNButton* pBtn, BOOL bDefaultPushed=FALSE);
	/**
	 * \brief {kr}  ׷쿡 ư Ѵ. {/kr}
	 * \param pBtn 
	 */
	void RemoveButton(CNButton* pBtn);
protected:
private:
	CAtlList<CNButton*> m_vButton;
	CNButton* m_pBtnOld;
};